> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current user and authorization context



## OpenAPI

````yaml /openapi.json get /api/v1/auth/me
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/auth/me:
    get:
      summary: Get the current user and authorization context
      operationId: getCurrentUser
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthMe'
      security:
        - cookieAuth: []
components:
  schemas:
    AuthMe:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
          format: email
        username:
          type: string
          nullable: true
        displayName:
          type: string
        emailVerified:
          type: boolean
        memberships:
          anyOf:
            - type: string
              enum:
                - '*'
            - type: array
              items:
                type: object
                properties:
                  workspace:
                    type: string
                  role:
                    type: string
                    enum:
                      - owner
                      - admin
                      - member
                      - viewer
                required:
                  - workspace
                  - role
                additionalProperties: false
        permissions:
          type: array
          items:
            type: string
      required:
        - userId
        - email
        - username
        - displayName
        - emailVerified
        - memberships
        - permissions
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````